ros-jazzy-clearpath-platform-description (2.8.3-1noble) noble; urgency=high

  * Add missing Gazebo IMU topic tags for omnidirectional platforms (#286 <https://github.com/clearpathrobotics/clearpath_common/issues/286>)
    * Add missing Gazebo IMU topic tags for omnidirectional platforms
    Fixes missing <topic> tag in IMU sensor definitions for R100, DO100,
    and DO150 platforms. Without this tag, Gazebo publishes IMU data on
    default topic names instead of the namespace-aware topics expected by
    ros_gz_bridge, causing IMU data to not reach ROS 2 in simulation.
    This issue only affected omnidirectional platforms (mecanum wheel
    configurations). Differential drive platforms (J100, W200, DD100, DD150)
    were already fixed in v0.2.10.
    Tested on R100 platform with Gazebo Harmonic and ROS 2 Jazzy.
    IMU data now successfully bridges to /r100_0000/sensors/imu_0/data_raw
    and is consumed by ekf_localization_node for sensor fusion.
    * Fixed indent.
    ---------
    Co-authored-by: Michael Wescott <mailto:Michael.E.Wescott@Spiritaero.com>
  * Replaced ignition references with gz (#283 <https://github.com/clearpathrobotics/clearpath_common/issues/283>)
  * Fix: Generic (#280 <https://github.com/clearpathrobotics/clearpath_common/issues/280>)
    * Check for generic before creating drivetrain parameters
    * Add teleop_joy default parameter file for generic robot
    * Generic teleop values
    * Generic control file without a controller
    * Generic empty robot
    * Update path to cvontrol in empty generic URDF
  * Contributors: Roni Kreinin, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Dec 2025 05:00:00 -0000

ros-jazzy-clearpath-platform-description (2.8.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 06 Nov 2025 05:00:00 -0000

ros-jazzy-clearpath-platform-description (2.8.1-1noble) noble; urgency=high

  * Add guard to include zed only once
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.8.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 23 Oct 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.7.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.7.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 16 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.7.2-1noble) noble; urgency=high

  * Fix: Use Platform Controllers (#257 <https://github.com/clearpathrobotics/clearpath_common/issues/257>)
    Add ros2_control only when use_platform_controllers is true
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.7.1-1noble) noble; urgency=high

  * Fix: Ridgeback rear lights and cover colors (#254 <https://github.com/clearpathrobotics/clearpath_common/issues/254>)
  * Contributors: SyZbidi

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Sep 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.7.0-1noble) noble; urgency=high

  * Drivetrains (#237 <https://github.com/clearpathrobotics/clearpath_common/issues/237>)
    * Moved meshes to wheels folder
    Mecanum drivetrain for do100
    * Generic drivetrain URDFs
    * Pass hardware plugin string rather than block
    * Added drivetrain control parameters
    * Removed 2WD for Dingo-O
    * DO150
    * Dingo-D
    * R100
    * A300 urdf
    * Fixed xacro generate print
    * Generic teleop configs per controller
    Platform specific teleop only defines velocity limits
    * A200 drivetrain changes
    * W200 drivetrain urdf
    * Updated A300 meshes
    Mecanum and caster support
    * Separated caster wheel into swivel and wheel links
    * Fixed joystick axis mapping
    * Updated wheel_separation_multiplier for fwd and rwd on A300
    * URDF structure changes for J100
    Updated A200 and W200 to be 4WD
    * Linting
  * Add the mounting link for the charger's 2D lidar (#241 <https://github.com/clearpathrobotics/clearpath_common/issues/241>)
  * Contributors: Chris Iverach-Brereton, Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Aug 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.6.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 29 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.6.3-1noble) noble; urgency=high

  * Fix: Disable Platform Controllers in Manipulator Controllers (#239 <https://github.com/clearpathrobotics/clearpath_common/issues/239>)
    Add flag to disable platform controllers for manipulation controller manager
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 18 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.6.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 14 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.6.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.6.0-1noble) noble; urgency=high

  * Add the third antenna (bluetooth) to the top of the AMP frame (#231 <https://github.com/clearpathrobotics/clearpath_common/issues/231>)
  * Add A300 AMP attachments (#200 <https://github.com/clearpathrobotics/clearpath_common/issues/200>)
    * Add meshes, URDFs for the A300 AMP and AMP Observer attachments
    * Add spotlight attachment with light plugin for simulation
    * Add Seyond description with lower-than-reality resolution & correct FoV for simulation. Fix math for calculating the number of samples
    * Add GPS plugins for the Fixposition description
  * Contributors: Chris Iverach-Brereton

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Jul 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.5.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 17 Jun 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.5.0-1noble) noble; urgency=high

  * Fix: PACS Limits (#215 <https://github.com/clearpathrobotics/clearpath_common/issues/215>)
  * Contributors: luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 29 May 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.3.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 30 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.3.1-1noble) noble; urgency=high

  * [clearpath_platform_description] Updated Ridgeback R100 raiser height to 0.07m from 0.055m. (#201 <https://github.com/clearpathrobotics/clearpath_common/issues/201>)
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 16 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.3.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 11 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.2.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 09 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.2.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 07 Apr 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.2.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 11 Mar 2025 04:00:00 -0000

ros-jazzy-clearpath-platform-description (2.1.0-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 31 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-platform-description (2.0.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 21 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-platform-description (2.0.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 20 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-platform-description (2.0.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 17 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-platform-description (2.0.0-1noble) noble; urgency=high

  * Add the A200 Observer backpack attachment (#122 <https://github.com/clearpathrobotics/clearpath_common/issues/122>)
    * Add the A200 Observer backpack attachment
  * [clearpath_platform_description] Fixed Ridgeback R100 rear light colour. (#127 <https://github.com/clearpathrobotics/clearpath_common/issues/127>)
  * Add PTZ sim support (#125 <https://github.com/clearpathrobotics/clearpath_common/issues/125>)
    * Now that axis_camera is released via OSRF, depend on the official package, remove duplicate meshes
    * Rename Gazebo plugins for Jazzy compatibility
    * Modify Axis camera URDFs to using the axis_camera meshes. This lets us control the gazebo topics. Fix the GZ topic names. Camera data is now visible in the simulation
    * Add joint controllers for the pan & tilt actuators. This provides velocity control over the simulated camera
  * Add a placeholer URDF for the AMP mount, update meshes (#123 <https://github.com/clearpathrobotics/clearpath_common/issues/123>)
    * Add a placeholer URDF for the AMP mount; STL & final dimensions to come at a later date
    * Default to treaded wheels, flip all the wheel models so the treads visually go in the correct direction
    * Update the top plate, chassis, livery, smooth wheel, and status light meshes. Closes CPE87-2102
    * Catch unsupported platforms/accessories in vcan generation tests
  * A300 (#118 <https://github.com/clearpathrobotics/clearpath_common/issues/118>)
    * Add A300 meshes
    * Move A300 meshes
    * Add A300 URDF
    * Added A300 control configuration files
    * Remove unstamped parameter, deprecated
    * Use clearpath_hardware_interface LynxHardware
    ---------
    Co-authored-by: Luis Camero <mailto:lcamero@clearpathrobotics.com>
  * Add collision tags for MoveIt to avoid these objects (#108 <https://github.com/clearpathrobotics/clearpath_common/issues/108>)
  * Remove all references to clearpath_platform
  * Add collision tags for MoveIt to avoid these objects (#108 <https://github.com/clearpathrobotics/clearpath_common/issues/108>)
  * Update simulation support for Jazzy (#117 <https://github.com/clearpathrobotics/clearpath_common/issues/117>)
    * Rename gazebo plugins to use new gz nomenclature instead of ign/ignition. Use stamped velocity messages.
    * Restructure the twist_mux yaml file to be more legible, remove the parameters that are overwritten by the launch file anyway
    * Put use_stamped back just for the sake of being explicit. Add use_stamped directly to the launch file
    * Fix the tests to catch unsupported platforms & accessories
  * Rename ign_ -> gz_ for gazebo dependencies, comment-out missing jazzy dependencies (for now)
  * Contributors: Chris Iverach-Brereton, Luis Camero, Roni Kreinin, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 16 Jan 2025 05:00:00 -0000

ros-jazzy-clearpath-platform-description (1.0.0-1noble) noble; urgency=high

  * [clearpath_platform_description] Fixed gazebo_controllers param file. (#107 <https://github.com/clearpathrobotics/clearpath_common/issues/107>)
  * Remove all references to clearpath_platform
  * Add collision tags for MoveIt to avoid these objects (#108 <https://github.com/clearpathrobotics/clearpath_common/issues/108>)
  * [clearpath_platform_description] Fixed gazebo_controllers param file. (#107 <https://github.com/clearpathrobotics/clearpath_common/issues/107>)
  * Contributors: Luis Camero, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 25 Nov 2024 05:00:00 -0000

ros-jazzy-clearpath-platform-description (0.3.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 08 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.3.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 04 Oct 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.3.2-1noble) noble; urgency=high

  * Fix outstanding merge conflict
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Sun, 29 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.3.1-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 23 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.3.0-1noble) noble; urgency=high

  * Changes.
  * Add PACS mounting locations to Dingo top plate
  * Standard mesh names and height parameter for tower shoulder
  * R100 attachment rework
  * Add dingo top plate URDF
  * 0.3.0 Release Candidate with Main Changes (#81 <https://github.com/clearpathrobotics/clearpath_common/issues/81>)
    * Added tests
    * Added action to build from release and source
    * Generator linting erros
    * Customization linting errors
    * Linting
    * Fix: Remove IP address from discovery server launch so it listens on all NICs
    * Changes.
    * 0.2.8
    * Add sysctl config file that changes ipfrag settings to support receiving large messages
    * Added Zed URDF
    * Added Zed to description generator
    * Modified common parameter generation to always flatten
    * Changes.
    * 0.2.9
    * Missing important remapping to mirror hardware topics
    * Added topic to gazebo plugins
    * Updated topic names to match gazebo message types
    * Topics of simulated onboard sensors
    * Realsense adds optical links when in simulator
    * Changes.
    * 0.2.10
    * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
    * Fixes styling issues
    * Set spawner as super client
    * Changes.
    * 0.2.11
    * Removed duplicate class
    * Use ROS1 covariance values
    * Updated renamed macanum drive controller
    * Enable gazebo friction plugin on DingoO
    ---------
    Co-authored-by: Hilary Luo <mailto:hluo@clearpathrobotics.com>
    Co-authored-by: Tony Baltovski <mailto:tbaltovski@clearpathrobotics.com>
    Co-authored-by: Steve Macenski <mailto:stevenmacenski@gmail.com>
    Co-authored-by: robbiefish <mailto:rob.fisher@hbkworld.com>
  * Set PumaHardware in R100
  * URDF Mecanum Updates
  * Switched to puma_hardware
  * DingoD 1.5 Puma Hardware
  * 0.2.8
  * Changes.
  * 0.2.7
  * Changes.
  * All Warthog attachments default to 0
  * Aligned attachment links
  * Added argument to prevent platform hardware from loading
  * Define inertial box xacro in the arm plate urdf to be used by other platforms
  * Added argument to toggle manipulator controllers
  * 0.2.6
  * Changes.
  * 0.2.5
  * Changes.
  * switch finding meshes to use the package:// command
  * 0.2.4
  * Changes.
  * 0.2.3
  * Changes.
  * 0.2.2
  * Changes.xx
  * 0.2.1
  * Changes.
  * PACS top plate was not centred with generated frames
  * Added Ridgeback attachments
  * Added do150 as copy of do100
  * R100 mecanum
  * Only load mecanum wheels in simulation
  * Removed wheel slip plugin
  * Dingo O mecanum wheels
  * Fixed rocker and small covariance
  * Initial Ridgeback
  * Initial add do100
  * Contributors: Hilary Luo, Luis Camero, Tony Baltovski, luis-camero
  * Add PACS mounting locations to Dingo top plate
  * Standard mesh names and height parameter for tower shoulder
  * R100 attachment rework
  * Add dingo top plate URDF
  * Added tests
  * Added action to build from release and source
  * Generator linting erros
  * Customization linting errors
  * Linting
  * Fix: Remove IP address from discovery server launch so it listens on all NICs
  * Add sysctl config file that changes ipfrag settings to support receiving large messages
  * Added Zed URDF
  * Added Zed to description generator
  * Modified common parameter generation to always flatten
  * Missing important remapping to mirror hardware topics
  * Added topic to gazebo plugins
  * Updated topic names to match gazebo message types
  * Topics of simulated onboard sensors
  * Realsense adds optical links when in simulator
  * Modifies platform param to add GQ7 IMU data to ekf_localization and adds GQ7 URDF
  * Fixes styling issues
  * Set spawner as super client
  * Removed duplicate class
  * Use ROS1 covariance values
  * Updated renamed macanum drive controller
  * Enable gazebo friction plugin on DingoO
  * Contributors: Hilary Luo, Luis Camero, Tony Baltovski, luis-camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 19 Sep 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.11-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 08 Aug 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.10-1noble) noble; urgency=high

  * Topics of simulated onboard sensors
  * Missing important remapping to mirror hardware topics
  * Contributors: Luis Camero, Steve Macenski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 25 Jul 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.9-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 28 May 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.8-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 14 May 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.7-1noble) noble; urgency=high

  * All Warthog attachments default to 0
  * Aligned attachment links
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Apr 2024 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.6-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 18 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.5-1noble) noble; urgency=high

  * switch finding meshes to use the package:// command
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 15 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 11 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.3-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 08 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 04 Jan 2024 05:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.1-1noble) noble; urgency=high

  * PACS top plate was not centred with generated frames
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 21 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-platform-description (0.2.0-1noble) noble; urgency=high

  * Added W200 Hardware interface.
  * Use path substitution
  * Removed testing visual for track virtual wheel
  * Added wheel parameters to all robot
  * Color and wheel are now parameters
  * Updated collision model
  * Added w200 tracks
  * First pass
  * Removed serial from URDF
  * Accurate mounts shift
  * Added DD150
  * Re-add caster
  * Added default mount
  * Removed friction on rear_caster
  * Added dd100
  * Removed transmission and cleaned up URDF
  * Removed erroneaous change
  * Removed print
  * Updated gazebo simulation
  * Changed default parent to default_mount
  * Set color appropriately
  * Arm Mount at base
  * Mounts re-numbering
  * Formatted W200 attachment URDF
  * Changed top_chassis_link to default_mount
  * Changed mid_mount to default_mount
  * Renamed sensor_arch namespace
  * Changed sensor arch parent
  * Added mid_mount
  * Origin to bumper
  * Added  to materials
  * Attachment URDF match changes
  * Add gazebo controller to URDF without macro
  * Moved gazebo controller to common
  * Fixes to control parameters and naming
  * Base diff drive hardware and hardware interface class
    J100 and W200 inherit from diff drive
    Moved each platform into its own folder
  * Fixed package names and added w200 urdf macro
  * Initial Warthog addition
  * Contributors: Hilary Luo, Luis Camero, Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 08 Dec 2023 05:00:00 -0000

ros-jazzy-clearpath-platform-description (0.1.3-1noble) noble; urgency=high

  * [clearpath_platform_description] Removed un-used ros2_control params.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 03 Nov 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.1.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 02 Oct 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.1.1-1noble) noble; urgency=high

  * Update gps and imu names to fix generated topic
  * Added Ignition frame names to simulate the real robot
  * Contributors: Hilary Luo

 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 25 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.1.0-1noble) noble; urgency=high

  * Added fenders for J100
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 17 Aug 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.9-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 31 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.8-1noble) noble; urgency=high

  * Updated J100 imu and navsat links
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Mon, 24 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.7-1noble) noble; urgency=high

  * Renamed URDF and meshes directories
  * Contributors: Luis Camero

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 19 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.6-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Thu, 13 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.5-1noble) noble; urgency=high

  * [clearpath_platform_description] Fixed unused dependency in CMakeLists.txt.
  * Contributors: Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 12 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.4-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Fri, 07 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.3-1noble) noble; urgency=high

  * Updated husky track value
  * Wheel slip plugin
    Significantly improved jackal odom in sim
  * Contributors: Roni Kreinin

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 05 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.2-1noble) noble; urgency=high



 -- Luis Camero <lcamero@clearpathrobotics.com>  Tue, 04 Jul 2023 04:00:00 -0000

ros-jazzy-clearpath-platform-description (0.0.1-1noble) noble; urgency=high

  * Updated launch writer make writing different object types easier
    Localization parameter fixes
    Updated gazebo wheel friction
  * Added namespacing support
  * Increased J100 navsat update rate to 10hz
  * Jackal sim support
  * Added GPS
    Added realsense gazebo parameters
  * Added gazebo IMU plugin
  * use_sim_time support
    Added lidar gazebo plugins
  * Sim fixes
  * Fixed dependencies
  * Moved description generator to clearpath_generators
    Added accessory urdf's
    Use launch arg for choosing controller
  * [clearpath_platform_description] Made the serial_port an arg for the a200 and reduced polling timeout.
  * Moved IMU filter to platform launch
    Moved localization into a separate launch file
    Updated decoration urdfs
    Added structure urdf
  * Remapped topics to match API
  * Bishop sensors/mounts
  * Added velodyne
  * [clearpath_platform_description] Fixed hardware plugin for A200.
  * control launch fixes
    Added ark enclosure for j100 top_plate
  * J100 support
  * Standard urdf and yaml file name and path
    Fixed spacing in urdfs
  * Description classes
  * PACS mounts
    Common PACS Riser
    Hokuyo and novatel description fixes
  * Initial commit with platform, decoration and mounts generating
  * [clearpath_platform_description] Fixed mesh paths.
  * [clearpath_sensors_description] Moved Novatel and Hokuyo into sensors from J100.
  * [clearpath_platform_description] Renamed all dashes to underscores.
  * [clearpath_platform_description] Fixed incorrect path.
  * Move clearpath_description to clearpath_platform_description and switched robot names to robot model number.
  * Contributors: Roni Kreinin, Tony Baltovski

 -- Luis Camero <lcamero@clearpathrobotics.com>  Wed, 21 Jun 2023 04:00:00 -0000


